<template>
  <div class="container">
    <div class="row justify-content-center">
      <div class="col-md-8">
        <div class="card">
          <div class="card-header">Tipo de Solicitud</div>
          <div class="card-body">
            <form>
              <div class="form-group">
                <label for="titulo">Nombre: </label>
                <input
                  type="text"
                  class="form-control "
                  id="titulo"
                  aria-describedby="tituloHelp"
                  placeholder="Ingrese el Nombre"
                  v-model="requestType.name"
                />
                <small id="tituloHelp" class="form-text text-muted"
                  >Nombre de la Solicitud</small
                >
              </div>
              <div class="form-group">
                <label for="description">Descripción:</label>
                <textarea
                  class="form-control"
                  aria-label="With textarea"
                  aria-describedby="descriptionHelp"
                  placeholder="Ingrese la Descripción"
                  v-model="requestType.description"
                />
                <small id="descriptionHelp" class="form-text text-muted"
                  >Descripción del Tipo de solicitud</small
                >
              </div>
              <button type="submit" class="btn btn-primary">Crear</button>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>


<script>
import axios from 'axios'
export default {
  data() {
    return {
      requestType:{
        name:'',
        description: ''
      }
    }
  },
  methods: {
    submitForm(){
      //Aqui va el codigo para realizar la petición
    }
  },
}
</script>